openSUSE Security Update : libquicktime (openSUSE-2017-785)

High Nessus Plugin ID 101282


The remote openSUSE host is missing a security update.


This update for libquicktime fixes the following issues :

- CVE-2017-9122: A DoS in quicktime_read_moov function in moov.c via acrafted mp4 file was fixed. (boo#1044077)

- CVE-2017-9123: An invalid memory read in lqt_frame_duration via a crafted mp4 file was fixed.

- CVE-2017-9124: A NULL pointer dereference in quicktime_match_32 via a crafted mp4 file was fixed.

- CVE-2017-9125: A DoS in lqt_frame_duration function in lqt_quicktime.c via crafted mp4 file was fixed.

- CVE-2017-9126: A heap-based buffer overflow in quicktime_read_dref_table via a crafted mp4 file was fixed. (boo#1044006)

- CVE-2017-9127: A heap-based buffer overflow in quicktime_user_atoms_read_atom via a crafted mp4 file was fixed. (boo#1044002)

- CVE-2017-9128: A heap-based buffer over-read in quicktime_video_width via a crafted mp4 file was fixed.


Update the affected libquicktime packages.

See Also

Plugin Details

Severity: High

ID: 101282

File Name: openSUSE-2017-785.nasl

Version: $Revision: 3.2 $

Type: local

Agent: unix

Published: 2017/07/07

Modified: 2018/01/26

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:C


Base Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libquicktime-debugsource, p-cpe:/a:novell:opensuse:libquicktime-devel, p-cpe:/a:novell:opensuse:libquicktime-tools, p-cpe:/a:novell:opensuse:libquicktime-tools-debuginfo, p-cpe:/a:novell:opensuse:libquicktime0, p-cpe:/a:novell:opensuse:libquicktime0-32bit, p-cpe:/a:novell:opensuse:libquicktime0-debuginfo, p-cpe:/a:novell:opensuse:libquicktime0-debuginfo-32bit, cpe:/o:novell:opensuse:42.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2017/07/06

Reference Information

CVE: CVE-2017-9122, CVE-2017-9123, CVE-2017-9124, CVE-2017-9125, CVE-2017-9126, CVE-2017-9127, CVE-2017-9128